Skip to main content
POST
/
api
/
v1
/
customer
/
import
Imports customer items.
curl --request POST \
  --url https://api.example.com/api/v1/customer/import \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "items": [
    {
      "externalId": "<string>",
      "affiliateExternalId": "<string>",
      "registrationDate": "2023-11-07T05:31:56Z",
      "externalTrackerId": "<string>",
      "username": "<string>",
      "brandId": "<string>",
      "externalBrandId": "<string>",
      "country": "<string>",
      "revShareExcluded": true,
      "cpaExcluded": true,
      "category": "<string>",
      "label": "<string>",
      "customParameter": "<string>",
      "referringUrl": "<string>"
    }
  ]
}
'
import requests

url = "https://api.example.com/api/v1/customer/import"

payload = { "items": [
        {
            "externalId": "<string>",
            "affiliateExternalId": "<string>",
            "registrationDate": "2023-11-07T05:31:56Z",
            "externalTrackerId": "<string>",
            "username": "<string>",
            "brandId": "<string>",
            "externalBrandId": "<string>",
            "country": "<string>",
            "revShareExcluded": True,
            "cpaExcluded": True,
            "category": "<string>",
            "label": "<string>",
            "customParameter": "<string>",
            "referringUrl": "<string>"
        }
    ] }
headers = {
    "Authorization": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    items: [
      {
        externalId: '<string>',
        affiliateExternalId: '<string>',
        registrationDate: '2023-11-07T05:31:56Z',
        externalTrackerId: '<string>',
        username: '<string>',
        brandId: '<string>',
        externalBrandId: '<string>',
        country: '<string>',
        revShareExcluded: true,
        cpaExcluded: true,
        category: '<string>',
        label: '<string>',
        customParameter: '<string>',
        referringUrl: '<string>'
      }
    ]
  })
};

fetch('https://api.example.com/api/v1/customer/import', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "numImported": 123,
  "numDuplicates": 123,
  "numFailed": 123,
  "firstFailureId": "<string>",
  "firstFailureMessage": "<string>"
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Headers

X-Api-Key
string

Body

Customer items.

items
object[]
required

Response

OK

numImported
integer<int32>
numDuplicates
integer<int32>
numFailed
integer<int32>
firstFailureId
string | null
firstFailureMessage
string | null